<?php

/*
бла бла бла
автор: Чук ака Aurum79
 */

class ShowSendColoPage extends AbstractGamePage
{
	public $returnData	= array();

	public static $requireModule = 0;

	function __construct()
	{
		parent::__construct();
		$this->setWindow('ajax');
	}

	private function sendData($Code, $Message)
	{
		$this->returnData['code']	= $Code;
		$this->returnData['mess']	= $Message;
		$this->sendJSON($this->returnData);
	}

	public function show()
	{
		global $USER, $PLANET, $resource, $LNG, $pricelist;

		$UserDeuterium  = $PLANET['deuterium'];

		$planetID 		= 0;
		$galaxy		 = HTTP::_GP('galaxy', 0);
		$system		 = HTTP::_GP('system', 0);
		$planet		 = HTTP::_GP('planet', 0);
		$targetMission	= HTTP::_GP('mission', 0);

		$activeSlots	= FleetFunctions::GetCurrentFleets($USER['id']);
		$maxSlots		= FleetFunctions::GetMaxFleetSlots($USER);

		$this->returnData['slots']		= $activeSlots;

		if (IsVacationMode($USER)) {
			$this->sendData(620, $LNG['fa_vacation_mode_current']);
		}

		if ($maxSlots <= $activeSlots) {
			$this->sendData(612, $LNG['fa_no_more_slots']);
		}

		$fleetArray = array();

		$db = Database::get();

		switch($targetMission)
		{
				
			case 7:
				if(!isModuleAvailable(MODULE_MISSION_COLONY)) {
					$this->sendData(699, $LNG['sys_module_inactive']);
				}
				$colo	= 1;
				if(empty($colo)) {
					$this->sendData(611, $LNG['fa_no_colo']);
				}
				$fleetArray = array(208 => $colo);
				//$this->returnData['ships'][208]	= $PLANET[$resource[208]] - $colo;
			break;	

		}

		$fleetArray						= array_filter($fleetArray);


		$SpeedFactor    	= FleetFunctions::GetGameSpeedFactor();
		$Distance    		= FleetFunctions::GetTargetDistance(array($PLANET['galaxy'], $PLANET['system'], $PLANET['planet']), array($galaxy, $system , $planet));
		$SpeedAllMin		= FleetFunctions::GetFleetMaxSpeed($fleetArray, $USER);
		$Duration			= FleetFunctions::GetMissionDuration(10, $SpeedAllMin, $Distance, $SpeedFactor, $USER);
		$consumption		= FleetFunctions::GetFleetConsumption($fleetArray, $Duration, $Distance, $USER, $SpeedFactor);

		$UserDeuterium   	-= $consumption;

		if($UserDeuterium < 0) {
			$this->sendData(613, $LNG['fa_not_enough_fuel']);
		}

		if($consumption > FleetFunctions::GetFleetRoom($fleetArray)) {
			$this->sendData(613, $LNG['fa_no_fleetroom']);
		}

		if(connection_aborted())
			exit;

		$this->returnData['slots']++;

		$fleetResource	= array(
			901	=> 0,
			902	=> 0,
			903	=> 0,
		);

		$fleetStartTime		= $Duration + TIMESTAMP;
		$fleetStayTime		= $fleetStartTime;
		$fleetEndTime		= $fleetStayTime + $Duration;

		$shipID				= array_keys($fleetArray);
        $PLANET['deuterium'] -= $consumption;

		FleetFunctions::sendFleet($fleetArray, 7, $USER['id'], $PLANET['id'], $PLANET['galaxy'],
			$PLANET['system'], $PLANET['planet'], $PLANET['planet_type'], 0, 0,
			$galaxy, $system, $planet, 1,
			$fleetResource, $fleetStartTime, $fleetStayTime, $fleetEndTime, 0, 0, $consumption);

		$this->sendData(600, $LNG['fa_sending']." ".array_sum($fleetArray)." ". $LNG['tech'][$shipID[0]] ." ".$LNG['gl_to']." ".$galaxy.":".$system.":".$planet." ...");
	}
}